VST 3 Interfaces: IInterAppAudioHost Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IInterAppAudioHost Class Referenceabstract

Inter-App Audio host Interface. More...

`#include <ivstinterappaudio.h>`

Inheritance diagram for IInterAppAudioHost:

## Public Member Functions
virtual tresult | getScreenSize (ViewRect *size, float *scale)=0
| get the size of the screen
virtual tresult | connectedToHost ()=0
| get status of connection
virtual tresult | switchToHost ()=0
| switch to the host.
virtual tresult | sendRemoteControlEvent (uint32 event)=0
| send a remote control event to the host
virtual tresult | getHostIcon (void **icon)=0
| ask for the host icon.
virtual tresult | scheduleEventFromUI (Event &event)=0
| schedule an event from the user interface thread
virtual IInterAppAudioPresetManager * | createPresetManager (const TUID &cid)=0
| get the preset manager
virtual tresult | showSettingsView ()=0
| show the settings view currently includes MIDI settings and Tempo setting
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Inter-App Audio host Interface.

- [host imp]
- [passed as 'context' to IPluginBase::initialize () ]
- [released: 3.6.0]
- [optional]

Implemented by the InterAppAudio Wrapper.

## Member Function Documentation

## ◆ getScreenSize()

virtual tresult getScreenSize | ( | ViewRect * | size,
|  | float * | scale )
| pure virtual

get the size of the screen

Parameters

  size | size of the screen
  scale | scale of the screen

Returns
  kResultTrue on success

## ◆ connectedToHost()

virtual tresult connectedToHost | ( |  | ) |
| pure virtual

get status of connection

Returns
  kResultTrue if an Inter-App Audio connection is established

## ◆ switchToHost()

virtual tresult switchToHost | ( |  | ) |
| pure virtual

switch to the host.

Returns
  kResultTrue on success

## ◆ sendRemoteControlEvent()

virtual tresult sendRemoteControlEvent | ( | uint32 | event | ) |
| pure virtual

send a remote control event to the host

Parameters

  event | event type, see AudioUnitRemoteControlEvent in the iOS SDK documentation for possible types

Returns
  kResultTrue on success

## ◆ getHostIcon()

virtual tresult getHostIcon | ( | void ** | icon | ) |
| pure virtual

ask for the host icon.

Parameters

  icon | pointer to a CGImageRef

Returns
  kResultTrue on success

## ◆ scheduleEventFromUI()

virtual tresult scheduleEventFromUI | ( | Event & | event | ) |
| pure virtual

schedule an event from the user interface thread

Parameters

  event | the event to schedule

Returns
  kResultTrue on success

## ◆ createPresetManager()

virtual IInterAppAudioPresetManager * createPresetManager | ( | const TUID & | cid | ) |
| pure virtual

get the preset manager

Parameters

  cid | class ID to use by the preset manager

Returns
  the preset manager. Needs to be released by called.

## ◆ showSettingsView()

virtual tresult showSettingsView | ( |  | ) |
| pure virtual

show the settings view currently includes MIDI settings and Tempo setting

Returns
  kResultTrue on success

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.